# Complete project details at https://RandomNerdTutorials.com

from machine import Pin, SoftI2C
import ssd1306
from time import sleep

# ESP32 Pin assignment 
#i2c = SoftI2C(scl=Pin(17), sda=Pin(18))

# ESP8266 Pin assignment
i2c = SoftI2C(scl=Pin(5), sda=Pin(4))

oled_width = 128
oled_height = 64
oled = ssd1306.SSD1306_I2C(oled_width, oled_height, i2c)

oled.text('Punto Flotante', 0, 0)
oled.text('NodeMCU ESP8266', 0, 10)
oled.text('ESP-12E, V3 ', 0, 20)
oled.text('            ', 0, 30)
oled.text('Micropython', 0, 40)        
oled.show()
